Subject: bug#78987: 30.1; Unable to create new Git repository in Dired mode

From: Sean Whitton <[email-masked]>
Date: Fri, 11 Jul 2025 19:13:59 +0100

Hello,

On Fri 11 Jul 2025 at 11:33am +02, Stephen Berman via "Bug reports for GNU Emacs, the Swiss army knife of text editors" wrote:

> When I test with -Q, a Git repository is created and either the file at
> point or the marked files in Dired are added to it, although
> `vc-deduce-fileset' calls `(dired-vc-deduce-fileset
> state-model-only-files not-state-changing)', i.e., without passing
> `allow-unregistered'; so why do you think it must be passed (and
> non-nil)?

It should be passed because the corresponding code path for vc-dir
passes allow-unregistered down.  dired-vc-deduce-fileset is meant to be
just a dired version of the vc-dir code path in vc-deduce-fileset.

-- 
Sean Whitton